cURL
curl --request PUT \ --url https://api.bitbybit.studio/customer/open/v1/customers/{id} \ --header 'Content-Type: application/json' \ --header 'x-api-key: <api-key>' \ --data ' { "email": "jsmith@example.com", "phoneNumber": "<string>", "firstName": "<string>", "lastName": "<string>", "imageUrl": "<string>" } '
{ "data": { "id": "<string>", "email": "<string>", "phoneNumber": "<string>", "firstName": "<string>", "lastName": "<string>", "imageUrl": "<string>", "tags": [ "<string>" ], "addresses": [ { "id": "<string>", "firstName": "<string>", "lastName": "<string>", "phone": "<string>", "address1": "<string>", "address2": "<string>", "city": "<string>", "province": "<string>", "country": "<string>", "zip": "<string>" } ], "createdAt": "2023-11-07T05:31:56Z", "updatedAt": "2023-11-07T05:31:56Z" } }
Update an existing customer’s information.
API key for authentication. Create one in Settings > Developer.
Customer updated
Show child attributes